import dynamix_sdk.base as _base


class CloudapiUserApiListResultModel(_base.BaseAPIResultModel):  # BPYS-297
    cloudapi: dict | None = None
    cloudbroker: dict | None = None
    sdn: dict | None = None
    system: dict | None = None


class CloudapiUserApiListProtocol(_base.BasePostAPIFunctionProtocol):
    def api_list(
        self,
        *,
        user_name: str,
    ) -> CloudapiUserApiListResultModel:
        ...
